summaryrefslogtreecommitdiff
path: root/tests/share/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-07-20 14:55:10 +0200
committerClifford Wolf <clifford@clifford.at>2014-07-20 15:32:59 +0200
commit6f450d0224a3ad09c61c5a150e3e7b3b6241338d (patch)
tree766ca95382df26a7a30895b0a197d0b0c6767987 /tests/share/run-test.sh
parent5b3ee7a072ad0bd7fb1245a2fb3560a0ca034457 (diff)
Added tests/share for testing "share" supercell creation
Diffstat (limited to 'tests/share/run-test.sh')
-rwxr-xr-xtests/share/run-test.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/share/run-test.sh b/tests/share/run-test.sh
new file mode 100755
index 00000000..d511c909
--- /dev/null
+++ b/tests/share/run-test.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+rm -rf temp
+mkdir -p temp
+echo "generating tests.."
+python generate.py
+
+echo "running tests.."
+for i in $( ls temp/*.ys | sed 's,[^0-9],,g; s,^0*\(.\),\1,g;' ); do
+ echo -n "[$i]"
+ idx=$( printf "%05d" $i )
+ ../../yosys -ql temp/uut_${idx}.log temp/uut_${idx}.ys
+done
+echo
+